Skip to main content

Re-KYC - verify Aadhaar OTP

Verifies the Aadhaar OTP sent by *Re-KYC - send Aadhaar OTP* and refreshes the ABHA's KYC details from Aadhaar.

POST/abha/api/v3/profile/account/verify

Endpoint: POST /abha/api/v3/profile/account/verify

Flow: Profile - Re-KYC - step 2 of 2

  • Previous: Re-KYC - send Aadhaar OTP
  • Next: none (last call of this flow)

Headers (plus Authorization: Bearer <gateway token>):

Header Required Description
X-token yes User token (Bearer <token>) received after ABHA creation / login.
REQUEST-ID yes Unique UUID for every request.
TIMESTAMP yes Current UTC timestamp in ISO-8601 format.

Request body for this use case:

Field Value / Type Required Description
scope ["ABHA-profile", "re-KYC"] yes Scope that selects this use case. Send exactly the values listed for this API.
authData object yes Authentication payload for this use case.
authData.authMethods ["OTP"] yes Authentication method used in this step.
authData.otp object yes OTP authentication block.
authData.otp.txnId string yes Transaction ID returned by the previous step of this flow.
authData.otp.otpValue string yes OTP received by the user, RSA-encrypted.

Responses

200

Success: Re-KYC- Positive Flow

txnIdstring
authResultstring
messagestring
accountsobject[]
accounts.ABHANumberstring
400

Bad Request (request validation failed): Re-KYC- Invalid Transaction Id; Re-KYC- Invalid Scope; ReKyc- Invalid Auth Method; Re-KYC- Invalid X-token; Re-Kyc- Invalid OTP Value

Error codes for this module

Invalid Scopestring
timestampstring
401

Unauthorized (invalid / expired gateway token, X-token or benefit access): ReKyc- Invalid access token; ReKYC- X-token expired

Everything returns 401

codestring
messagestring
descriptionstring
422

Unprocessable Entity (business rule or UIDAI failure): Re-KYC-INVALID OTP

Error codes for this module

messagestring
timestampstring
500

Internal Server Error.

Error codes for this module